Howdy, Stranger!

It looks like you're new here. If you want to get involved, click one of these buttons!

Supported by

Mousetrap response item on version 3.2.5

Hi All,

I am trying to install the Mousetrap response item on OpenSesame version 3.2.5.
I had previously installed this on my Open Sesame version 3.1.4 through the instructions on GitHub (https://github.com/PascalKieslich/mousetrap-os) and it worked fine. I am now trying to do this on the updated version following the instructions for 'current development version' from the same link but I get the following error in my debug window:
AttributeErrorTraceback (most recent call last)
in ()
----> 1 pip.main(['install', 'https://github.com/PascalKieslich/mousetrap-os/archive/master.zip'])

AttributeError: 'module' object has no attribute 'main'

Does anyone know how the install the mousetrap response in version 3.2.5? Or how do downgrade OpenSesame to a version that supports this type of response? Thank you.

Comments

  • Hi,

    I just checked installing the mousetrap development version via:

    import pip
    pip.main(['install', 'https://github.com/PascalKieslich/mousetrap-os/archive/master.zip'])
    

    I installed it in OpenSesame 3.2.5 under Windows 7. Everything worked fine for me. Which operating system are you using? If you use Windows, are you running OpenSesame with admin rights for the installation?

    Best,

    Pascal

  • I just moved the discussion to the mousetrap category.

  • Thanks Pascal,

    I am running MacOS Sierra 10.12.6, and so is a colleague fo mien that tried to install it, so maybe it is a MacOs issue. I will try again on windows.

    Marta

  • Hi Marta,
    maybe it is a MacOS issue. Unfortunately, I don't have a Mac, so I cannot test it.
    Maybe @sebastiaan or @Daniel could have a look at it? That would be awesome. If there is a problem, it will probably be a general problem when installing any OpenSesame plugin or extension in OpenSesame 3.2.5 under MacOS.
    Best,
    Pascal

  • Hi Guys,
    I have no idea where this error comes from. I'll have a look when I'm back on my Mac again.
    Regards,

  • edited September 11

    I looked into this, and I guess the Mac version has a newer version of pip (version 18) which changed its internal structure a bit. Executing these lines of code instead did the trick for me on MacOS:

    import pip._internal
    pip._internal.main(['install', 'https://github.com/PascalKieslich/mousetrap-os/archive/master.zip'])
    

    So you just need to add the _internal submodule in your instructions.

    Thanked by 1Pascal
  • Thanks for the update, @Daniel! I assume that this change needs to be implemented whenever a plugin / extension is installed, e.g., also when installing the latest stable version of mousetrap?

    So, the command

    import pip
    pip.main(['install', 'opensesame-plugin-mousetrap'])
    

    would have to be changed to

    import pip._internal
    pip._internal.main(['install', 'opensesame-plugin-mousetrap'])
    

    If this is the case, maybe the corresponding page in the documentation should be updated regarding Mac users? (https://osdoc.cogsci.nl/3.2/manual/environment/)

    Best,

    Pascal

  • That, or I'll simply have to downgrade pip again to the same version as in Windows. I'm leaving this decision to @sebastiaan

  • That, or I'll simply have to downgrade pip again to the same version as in Windows. I'm leaving this decision to sebastiaan

    Good to know about this change. No let's keep pip up to date. I will update the documentation and package manager to reflect this change.

    There's much bigger issues in the world, I know. But I first have to take care of the world I know.
    cogsci.nl/smathot

  • That makes sense. So that means after the next release of OpenSesame the installation procedure for plugins will change as described above also for Windows and Linux users? Do you have a guess when the next version of OpenSesame is going to be released?
    Best,
    Pascal

  • Thank you all!
    I used the new command line and now have the mouse_trao option up and running.

    Marta

Sign In or Register to comment.